# $Revision: 1.19 $, $Date: 2002/05/28 07:02:42 $
Summary:	GNOME base library
Summary(pl):	Podstawowa biblioteka GNOME
Name:		libgnome
Version:	1.117.2
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/pre-gnome2/sources/libgnome/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am.patch
URL:		ftp://www.gnome.org/
BuildRequires:	GConf2-devel >= 1.1.10
BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	esound-devel >= 0.2.25
BuildRequires:	gnome-vfs2-devel >= 1.9.13
BuildRequires:	libbonobo-devel >= 1.117.0
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	libxslt-devel
PreReq:		GConf2
PreReq:		/sbin/ldconfig
PreReq:		scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.

%description -l pl
GNOME (GNU Network Object Model Environment) jest przyjaznym dla
uytkownika zbiorem aplikacji i narzdzi do uywania w poczeniu z
menaderem okien pod X Window System. Pakiet libgnome zawiera
biblioteki nie zwizane z graficznym interfejsem potrzebne do
uruchomienia GNOME. Pakiet libgnomeui zawiera biblioteki GNOME zalene
od X11.

%package devel
Summary:	Headers for libgnome
Summary(pl):	Pliki nagwkowe libgnome
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	GConf2-devel >= 1.1.9
Requires:	audiofile-devel >= 0.2.3
Requires:	esound-devel >= 0.2.25
Requires:	gnome-vfs2-devel >= 1.9.13
Requires:	libxml2-devel >= 2.4.20

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to use
libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilowania programw korzystajcych z
libgnome.

%package static
Summary:	Static libgnome libraries
Summary(pl):	Statyczne biblioteki libgnome
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libgnome libraries.

%description static -l pl
Statyczna wersja bibliotek libgnome.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
GCONF_CONFIG_SOURCE="" gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/*.schemas > /dev/null

%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_sysconfdir}/sound/events/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/*.??
%attr(755,root,root) %{_libdir}/bonobo/monikers/*.??
%{_libdir}/bonobo/servers/*
%{_datadir}/sgml/docbook/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/libgnome-2.0
%doc %{_datadir}/gtk-doc/html/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/gnome-vfs-2.0/modules/*.a
%{_libdir}/bonobo/monikers/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgnome.spec,v $
Revision 1.19  2002/05/28 07:02:42  wiget
updated to 1.117.2, added gtk-doc to -devel

Revision 1.18  2002/05/22 00:23:09  kloczek
- release 1.

Revision 1.17  2002/05/21 08:40:15  wiget
- updated to 1.117.1
- strict BR
- using new auto* macros
- added missing stylesheets
- simplified %%post

Revision 1.16  2002/05/17 06:45:42  kloczek
- next typo :>

Revision 1.15  2002/05/17 06:40:14  kloczek
- typo.

Revision 1.14  2002/05/17 06:36:30  kloczek
- cosmetics.

Revision 1.13  2002/05/14 17:32:53  michuz
- updated to 1.117.0

Revision 1.12  2002/05/14 10:43:18  wiget
%%files fixes

Revision 1.11  2002/04/30 01:49:10  michuz
- more BR

Revision 1.10  2002/04/30 01:46:34  michuz
- updated to 1.116.0

Revision 1.9  2002/04/26 14:44:13  michuz
- updated to 1.115.0

Revision 1.8  2002/04/18 15:48:28  michuz
- removed patch0

Revision 1.7  2002/04/13 15:30:40  michuz
- BR cleanups

Revision 1.5  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/01 15:58:43  qboosh
- added -static, postun, pl descriptions, gzip doc, fixed *.so* perms

Revision 1.2  2002/02/01 05:44:37  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on RH spec by Owen Taylor <otaylor@redhat.com>
